Visual Studio 2010 sp1에 Silverlight 4 도구를 설치할 수 없습니다.




visual-studio-2010 visual-studio (8)

Visual Studio 2010 (새로 설치)을 설치 한 다음 SP1을 적용했습니다. 이제 실버 라이트 4 도구를 설치하려고했지만 이상한 오류 메시지가 나타납니다.

"Silverlight Tools 설치를 계속하기 전에 Silverlight Tools 4의 언어 버전과 일치하는 Visual Studio 2010 또는 Visual Web Developer Express 2010 또는 Visual Phone Developer Express 2010을 설치해야하며 Silverlight Tools는 다른 언어로도 제공됩니다 ( .

설치를 계속하려면 Visual Studio 2010 용 Visual Web Developer 기능을 설치해야합니다. "

나는 트리플 체크를했는데 언어 충돌이 없다. 웹을 탐색하면서 일부 사람들은 같은 오류가 있지만 SP1에 SP1이 이미 번들되어 있으므로 실버 라이트 도구를 설치할 필요가 없다는 MSDN 게시물이 있지만 여기서는 그렇지 않습니다. VS에 Silverlight 용 프로젝트 템플릿이 없으므로 도구가 설치되지 않습니다. 어떤 아이디어?


** 어쩌면 우리 중 일부를위한 팁. MSXML6 설치하거나 복구하십시오. 우리는 VS2010 SP1에로드 된 SL4 프로젝트를 얻는데 어려움을 겪고있었습니다. 모든 SL4 구성 요소를 제거했습니다 ... SP1을 다시 설치했습니다 ... VS2010을 복구했으며 다른 모든 조합은 작동하지 않았습니다. MSXML6을 설치하면 문제가 해결됩니다. * *

이 두 가지를 따라 Visual Studio 2010 SP1과 Vista 또는 Windows 7의 Silverlight 4가 최신 (12 월 2012) Silverlight 5 브라우저 플러그 인과 함께 사용되지 않음을 알았습니다. "솔루션"- 최소한 저에게는 작동합니다 - 브라우저 클라이언트 플러그인으로 시스템에서 Silverlight 5를 제거한 다음 새로운 SL 프로젝트를 만들고 시도 할 때 나타나는 SL 개발자 패키지를 설치하는 것입니다. 있어야 할 곳에 없는. 이렇게하면 SL 3/4 및 .NET 4.0에서 개발할 수있게 될 것입니다.하지만 이제는 SL 브라우저 플러그인이 누락되어서 인터넷 서핑을 할 수없고 SL 사이트를 방문 할 수 없습니다. [ 업데이트 : 신비하게도 뒤로, 실제로 그물 서핑]. 가상 OS에서 개발하고 실제 OS로 돌아가서 브라우저에 SL이 있지만 개발하지 않기 때문에 약간의 좌절감이 있습니다. 아마도 Microsoft Update를 모두 갖고 있지는 않지만 버그 일 수도 있습니다. 프레임 워크가 지원을 중단하면 어떻게됩니까?


FSharpRuntimeSL4.msi를 수동으로 설치하는 방법에 대해 좀 더 자세히 설명해 줄 것을 제안했다고 생각합니다. 혼자만해도이 문제가 해결되지 않았습니다. 실버 라이트 4 툴킷이 필요했습니다 2010 년 4 월 9 일)

먼저 SilverLight 5 런타임을 제거해야합니다.

그런 다음 위에서 제안한 Silverlight4_Tools 4 파일의 압축을 풉니 다. 마지막으로 제대로 컴파일하려면 기존 솔루션을 얻으려면 모든 것을 실행해야했습니다.

  1. FSharpRuntimeSL4.msi
  2. SilverlightTools_Package.msi
  3. silverlight_developer.exe
  4. RiaServices.msi
  5. VS10-KB982218-v4.exe

그 후 4 월 업데이트를 설치할 수있었습니다.


Microsoft에 따르면 설치하지 않아도되지만 불행히도 Visual Studio 2010 SP1에 포함되지 않은 일부 구성 요소가 포함되어 있습니다. 이 문제를 해결하려면 7zip으로 Silverlight 4 도구 설치 프로그램을 추출한 다음 누락 된 구성 요소 (특히 FSharpRuntimeSL4.msi)를 수동으로 설치하면됩니다.


SP1을 설치 한 다음 Silverlight 프로젝트를 만듭니다. 오류를 표시합니다. 대화 상자에 링크가 있습니다. 이 파일을 클릭하면 Silverlight4_Tools.exe가 아닌 다른 파일이 설치됩니다. 실버 라이트 5에 대해서는 실제로 말하지만 실버 라이트 5는 추가되지 않습니다. Silverlight 5를 설치 한 경우 ... 여전히 Silverlight 4를 선택할 수 있습니다.


나는 똑같은 문제가 있었다. silverlight4 도구의 설치 프로그램에는 ParameterInfo.xml 파일이 있습니다 (.exe 파일 만 압축을 푼 경우). 시스템 요구 사항을 설명합니다.

내 상황에서는 설치 프로그램이 VS2010 "10.0.30319" 버전을 필요로하지만 등록시 다른 버전 ( 10.0.40219 )이 필요합니다. 등록 된 버전을 편집하고 도구를 설치하고 첫 번째 버전을 등록부에 썼습니다.

귀하의 문제가 동일하지 않을 수 있습니다 (VS 버전이 아님). 이 파일의 다른 요구 사항을 확인하십시오.


나는 많은 스레드에 대해 실망감을 느꼈다. 실제 솔루션은 없다. 최소한 VS2010 버전 / 언어에 불만을 나타내는 오류는 통과해야한다.

Silverlight4_tools.exe 다운로드하고 /X 옵션을 명령 줄에서 시작했습니다.

SilverLight4_Tools.EXE /X

파일을 추출 할 장소를 묻습니다. 나는 지시를 정하고 거기에서 나는 달린다.

silverlight_sdk.msi
RiaServices.msi

그 후에 나는 옛것을 제거 할 수 있었다.

using System.Web.Ria;
using System.Web.Ria.ApplicationServices;

그 (것)들을

using System.ServiceModel.DomainServices.Hosting;
using System.ServiceModel.DomainServices.Server.ApplicationServices;

아마 우리 중 일부를위한 팁. MSXML6 설치하거나 복구하십시오. 우리는 VS2010 SP1에로드 된 SL4 프로젝트를 얻는데 어려움을 겪고있었습니다. 모든 SL4 구성 요소를 제거했습니다 ... SP1을 다시 설치했습니다 ... VS2010을 복구했으며 다른 모든 조합은 작동하지 않았습니다. MSXML6을 설치하면 문제가 해결됩니다.








silverlight-4.0